Package org.eclipse.emf.cdo.spi.common.branch

## Interface CDOBranchAdjustable

- All Known Subinterfaces:
    `InternalCDORevision`, `InternalCDORevisionDelta`
  All Known Implementing Classes:
    `AbstractCDORevision`, `BaseCDORevision`, `DelegatingCDORevision`, `DetachedCDORevision`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

      public interface CDOBranchAdjustable

  Since:
    4.3
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `adjustBranches​(CDOBranchManager newBranchManager)` |

- - ### Method Detail

    - #### adjustBranches

          void adjustBranches​(CDOBranchManager newBranchManager)